# Uses of Interface
java.net.CookiePolicy

Packages that use CookiePolicy
Package
Description
java.net
Provides the classes for implementing networking applications.

## Uses of CookiePolicy in java.net

Fields in java.net declared as CookiePolicy
Modifier and Type
Field
Description
`static final CookiePolicy`
CookiePolicy.`ACCEPT_ALL`
One pre-defined policy which accepts all cookies.
`static final CookiePolicy`
CookiePolicy.`ACCEPT_NONE`
One pre-defined policy which accepts no cookies.
`static final CookiePolicy`
CookiePolicy.`ACCEPT_ORIGINAL_SERVER`
One pre-defined policy which only accepts cookies from original server.
Methods in java.net with parameters of type CookiePolicy
Modifier and Type
Method
Description
`void`
CookieManager.`setCookiePolicy(CookiePolicy cookiePolicy)`
To set the cookie policy of this cookie manager.
Constructors in java.net with parameters of type CookiePolicy
Modifier
Constructor
Description
``
`CookieManager(CookieStore store, CookiePolicy cookiePolicy)`
Create a new cookie manager with specified cookie store and cookie policy.